## org.eclipse.wst.server.ui
Class FacetRuntimeComponentLabelProvider

    java.lang.Object
      org.eclipse.wst.server.ui.FacetRuntimeComponentLabelProvider

    public class FacetRuntimeComponentLabelProvider

extends java.lang.Object

A facet runtime label provider that can be used as an implementation of org.eclipse.wst.common.project.facet.ui.IRuntimeComponentLabelProvider in the org.eclipse.wst.common.project.facet.core.runtimes extension point.

Nested Class Summary
`class` `FacetRuntimeComponentLabelProvider.RuntimeLabelProvider`

Constructor Summary
`FacetRuntimeComponentLabelProvider()`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Object adaptable, java.lang.Class adapterType)`
`java.lang.Class[]` `getAdapterList()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacetRuntimeComponentLabelProvider

    public FacetRuntimeComponentLabelProvider()

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptable,
                                       java.lang.Class adapterType)

### getAdapterList

    public java.lang.Class[] getAdapterList()